Bug 487374 - Files with an ACL missing + in permissions string in ls -Z output
Files with an ACL missing + in permissions string in ls -Z output
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 12:34 EST by Steve Bonneville
Modified: 2009-03-16 15:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 6.10-35.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 22:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2009-02-25 12:34:15 EST
Description of problem:

When files and directories have an ACL set on them, ls -l correctly displays + at the end of the permissions string, but ls -Z does not, giving an incorrect indication of how to interpret the regular permissions of the file.

Version-Release number of selected component (if applicable):
coreutils-6.12-18.fc10.x86_64

Steps to Reproduce:
1.  setfacl -m u:user:r file
2.  ls -l file
3.  ls -Z file
  
Actual results:
[sbonnevi]$ ls -l file
-rw-r-----+ 1 sbonnevi sbonnevi 0 2009-02-25 10:10 file
[sbonnevi]$ ls -Z file
-rw-r-----  sbonnevi sbonnevi unconfined_u:object_r:user_home_t:s0 file

Expected results:
[sbonnevi]$ ls -l file
-rw-r-----+ 1 sbonnevi sbonnevi 0 2009-02-25 10:10 file
[sbonnevi]$ ls -Z file
-rw-r-----+ sbonnevi sbonnevi unconfined_u:object_r:user_home_t:s0 file
Comment 1 Fedora Update System 2009-02-26 11:52:59 EST
coreutils-6.12-19.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/coreutils-6.12-19.fc10
Comment 2 Ondrej Vasik 2009-02-26 11:54:39 EST
Thanks for report, not only ACL missing, but column width deformed as well ... both things fixed in Rawhide (coreutils-7.1-4.fc11)
Comment 3 Fedora Update System 2009-02-27 06:06:29 EST
coreutils-6.10-34.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/coreutils-6.10-34.fc9
Comment 4 Fedora Update System 2009-02-27 22:21:48 EST
coreutils-6.12-19.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-16 15:42:09 EDT
coreutils-6.10-35.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.